package Cooperative;

import java.util.ArrayList;
import java.awt.event.ActionListener;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Oct 14, 2009
 * Time: 10:37:05 PM
 */
public interface CoopAlgorithm {
    public void run(int p,ArrayList<Coalition> c, ActionListener finish);
    public void stop();
    public void settings(ActionListener update);
    public String getDescriptor();
}
